## org.apache.batik.apps.svgbrowser
Interface Application

All Known Implementing Classes:
  Main

public interface Application

This interface represents a SVG viewer application.

Method Summary
`void` `addVisitedURI(java.lang.String uri)` Notifies Application of recently visited URI
`boolean` `canLoadScriptType(java.lang.String scriptType)` Returns true if the input scriptType can be loaded in this application.
`void` `closeJSVGViewerFrame(JSVGViewerFrame f)` Closes the given viewer frame.
`JSVGViewerFrame` `createAndShowJSVGViewerFrame()` Creates and shows a new viewer frame.
`javax.swing.Action` `createExitAction(JSVGViewerFrame vf)` Creates an action to exit the application.
`int` `getAllowedExternalResourceOrigin()` Returns the allowed origins for external resources.
`int` `getAllowedScriptOrigin()` Returns the allowed origins for scripts.
`java.lang.String` `getDefaultFontFamily()` Returns the default value for the CSS "font-family" property
`java.lang.String` `getLanguages()` Returns the user languages.
`java.lang.String` `getMedia()` Returns the CSS media to use.
`java.lang.String` `getUserStyleSheetURI()` Returns the user stylesheet uri.
`java.lang.String[]` `getVisitedURIs()` Asks Application for a list of recently visited URI
`java.lang.String` `getXMLParserClassName()` Returns the XML parser class name.
`boolean` `isSelectionOverlayXORMode()` Returns true if the selection overlay is painted in XOR mode, false otherwise.
`boolean` `isXMLParserValidating()` Returns true if the XML parser must be in validation mode, false otherwise.
`void` `openLink(java.lang.String url)` Opens the given link in a new window.
`void` `showPreferenceDialog(JSVGViewerFrame f)` Shows the preference dialog.

Method Detail

### createAndShowJSVGViewerFrame

    public JSVGViewerFrame createAndShowJSVGViewerFrame()

  Creates and shows a new viewer frame.

### closeJSVGViewerFrame

    public void closeJSVGViewerFrame(JSVGViewerFrame f)

  Closes the given viewer frame.

### createExitAction

    public javax.swing.Action createExitAction(JSVGViewerFrame vf)

  Creates an action to exit the application.

### openLink

    public void openLink(java.lang.String url)

  Opens the given link in a new window.

### getXMLParserClassName

    public java.lang.String getXMLParserClassName()

  Returns the XML parser class name.

### isXMLParserValidating

    public boolean isXMLParserValidating()

  Returns true if the XML parser must be in validation mode, false otherwise.

### showPreferenceDialog

    public void showPreferenceDialog(JSVGViewerFrame f)

  Shows the preference dialog.

### getLanguages

    public java.lang.String getLanguages()

  Returns the user languages.

### getUserStyleSheetURI

    public java.lang.String getUserStyleSheetURI()

  Returns the user stylesheet uri.

  Returns:
    null if no user style sheet was specified.

### getDefaultFontFamily

    public java.lang.String getDefaultFontFamily()

  Returns the default value for the CSS "font-family" property

### getMedia

    public java.lang.String getMedia()

  Returns the CSS media to use.

  Returns:
    empty string if no CSS media was specified.

### isSelectionOverlayXORMode

    public boolean isSelectionOverlayXORMode()

  Returns true if the selection overlay is painted in XOR mode, false otherwise.

### canLoadScriptType

    public boolean canLoadScriptType(java.lang.String scriptType)

  Returns true if the input scriptType can be loaded in this application.

### getAllowedScriptOrigin

    public int getAllowedScriptOrigin()

  Returns the allowed origins for scripts.

  See Also:
    `ResourceOrigin`

### getAllowedExternalResourceOrigin

    public int getAllowedExternalResourceOrigin()

  Returns the allowed origins for external resources.

  See Also:
    `ResourceOrigin`

### addVisitedURI

    public void addVisitedURI(java.lang.String uri)

  Notifies Application of recently visited URI

### getVisitedURIs

    public java.lang.String[] getVisitedURIs()

  Asks Application for a list of recently visited URI

Copyright © 2004 Apache Software Foundation. All Rights Reserved.